Get message delivery status

Returns the current delivery status of a message by its ID. Use this endpoint to get message delivery status through the Samva email API.

GET
/v1/messages/{id}/status

Returns the current delivery status of a message by its ID.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
id*MessageId
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$
status*string
Value in"pending""scheduled""queued""processing""sent""delivered""read""failed""bounced""complained"
updatedAt*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.messages.getStatus({  "id": "example"});
Example Response
{  "id": "string",  "status": "pending",  "updatedAt": "string"}

Related documentation